<?php
require'f_forumm.php';
$ttext=$_POST['ttext'];
$titlu='Editeaza topic '.$tnume;
require'f_sus.php';
require'f_mut.php';
if($_SERVER['REQUEST_TIME']<$tinfo[5]+15*60&&$tinfo[1]==$de||$perm>0)
{
require'f_blocat.php';
if(!blocat($ttext))
{
if($conn->query('UPDATE`forum_topicuri`SET`text`="'.$ttext.'"WHERE`id`="'.$tid.'"'))
{
$conn->query('INSERT INTO`jurnal_admini`SET`nume`="Topicuri",`de`="'.$de.'",`text`="a editat textul topicului '.$tinfo[3].' din forumul '.$fnume.', înlocuind textul[br/]'.$tinfo[4].'[br/]Cu textul[br/]'.$ttext.'",`data`="'.$_SERVER['REQUEST_TIME'].'"');
if($de!=$tinfo[1])
{
require'f_notificare.php';
notificare('am editat textul din topicul tau [url=/forum/topic/'.$tid.'-'.seo($tinfo[3]).']'.$tinfo[3].'[/url], înlocuind textul[br/]'.$tinfo[4].'[br/]Cu textul[br/]'.$ttext,$tinfo[1],$de);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Text topic editat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7];
}
else
{
$tip='textul topicului '.$tinfo[3];
$text=$ttext;
require'f_ban.php';
}
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Topicul nu este al tau, sau nu ai permisiuni de editare asupra lui!';
echo$div[0];
require'f_jos.php';